Mailinglist Archive: opensuse-packaging (76 mails)

< Previous Next >
Re: [opensuse-packaging] Disabling systemd services in %post for upgrades

On May 10, 2018, at 3:42 PM, Dominique Leuenberger / DimStar
<dimstar@xxxxxxxxxxxx> wrote:

On Wed, 2018-05-09 at 16:30 +0200, John Paul Adrian Glaubitz wrote:
On 05/09/2018 03:33 PM, Brüns, Stefan wrote:
Hmm, on second thought, I think this might not even be necessary as
%postun should be executed on package upgrade, isn't it?

Both %post and %postun will be executed on upgrade, see
http://ftp.rpm.org/max-rpm/s1-rpm-inside-scripts.html#S2-RPM-INSIDE-ERASE-TIME-SCRIPTS

Thanks for confirming this.

Please do not use a conditional for 1140, this is so EOLed it is completely
useless noise.

Unfortunately, I have to keep the SLE11SP4 stuff until it's actually EOL'd
which end of March 2019.

SLE11SP4 has no relation to suse_version 1140. SLE11SP4 is suse_version ==
1110

Seems very inconsistent and confusing to me.

Adrian--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >